# Replaces the existing transaction filters of a specific bookkeeping rule for the given client. The rule is identified by its unique rule ID. All current filters will be removed and replaced with the filters provided in the request body. Endpoint: PUT /api/v1/clients/{clientId}/bookkeeping/transaction-rules/{ruleId}/filters Version: 1 Security: , , , ## Path parameters: - `clientId` (string, required) - `ruleId` (string, required) ## Request fields (application/json): - `field` (string) Enum: "Amount", "Currency", "ReferenceNumber", "ArchiveReference", "Description", "InvoiceNumber", "StructuredReference", "AdditionalText", "DebtorAddress", "BookedAmount", "AccountCurrency", "ChargeCurrency", "ChargeAmount", "BankTransactionCode", "AccountNumber", "DebtorAccountNumber", "DebtorName", "BankInformation" - `operation` (string) Enum: "ExactText", "ContainsText", "StartsWithText", "EndsWithText", "ExactAmount", "FromZeroToAmount", "BelowAmount", "AboveAmount" - `importance` (string) Enum: "Required", "Optional" - `value` (string, required) Gets or sets the value used in the filtering operation. Example: "\n For example, if the filter is \"Field = AccountNumber, Operation = Equals, Value = '1234',\" \n the filter will match all records where the AccountNumber is '1234'.\n " ## Response 200 fields (application/json): - `links` (object) - `clientId` (string) - `ruleId` (string) ## Response 403 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer,null) - `detail` (string,null) - `instance` (string,null) ## Response 404 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer,null) - `detail` (string,null) - `instance` (string,null)